From: "Florian Schmaus" <flo@freakempire.de>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/java:master commit in: dev-java/gradle-bin/
Date: Sun, 13 Sep 2015 15:24:57 +0000 (UTC) [thread overview]
Message-ID: <1441912263.8956cb499c565d1123ee5fc66a37dafcff168eea.flow@gentoo> (raw)
commit: 8956cb499c565d1123ee5fc66a37dafcff168eea
Author: Florian Schmaus <flo <AT> geekplace <DOT> eu>
AuthorDate: Thu Sep 10 19:11:03 2015 +0000
Commit: Florian Schmaus <flo <AT> freakempire <DOT> de>
CommitDate: Thu Sep 10 19:11:03 2015 +0000
URL: https://gitweb.gentoo.org/proj/java.git/commit/?id=8956cb49
Add dev-java/gradle-bin-2.6
dev-java/gradle-bin/Manifest | 1 +
dev-java/gradle-bin/gradle-bin-2.6.ebuild | 73 +++++++++++++++++++++++++++++++
2 files changed, 74 insertions(+)
diff --git a/dev-java/gradle-bin/Manifest b/dev-java/gradle-bin/Manifest
index 8f39700..b341eec 100644
--- a/dev-java/gradle-bin/Manifest
+++ b/dev-java/gradle-bin/Manifest
@@ -3,3 +3,4 @@ DIST gradle-1.12-all.zip 57658365 SHA256 cf111fcb34804940404e79eaf307876acb84340
DIST gradle-2.2.1-all.zip 58602849 SHA256 1d7c28b3731906fd1b2955946c1d052303881585fc14baedd675e4cf2bc1ecab SHA512 16775f13a4bc2e9bec32b2838434dace7f04fb49461d65a8e400004a4142c9742930a91f07bf1db498d3f68bfaa1be49387f36039354280edb7cd9d6783e43fc WHIRLPOOL 6f8b99e08054f7c1d2ee24fb2bf84d099dcdf9e61dc6b92a03dc2e0d6747dec81f09769d50d893eee5c4026f2e46d1fecd11a3813b8f7fb9db8c9b3a46926477
DIST gradle-2.3-all.zip 60081333 SHA256 515962aeec8c3e67b97f0c13c4575beeed1b5da16181d8b9054416339edc8c2d SHA512 316a8bcfdab50bba0f0d19d42fff8100cca8bfbaca919255da5beb3ae7f082bf40d021e1c668075260d74116058acee8f52911b0dce036800701824ecbc26343 WHIRLPOOL 4a8fe3a6fffb26cb13f9ff4e70f99e9d13f0a9bec5a3267f310d5987ff93a1df8c446816a463654e84f5b179ad72bdab01404087ddcac212576268b7adfada5b
DIST gradle-2.4-all.zip 65433094 SHA256 371cb9fbebbe9880d147f59bab36d61eee122854ef8c9ee1ecf12b82368bcf10 SHA512 a09b94f3453043ee3d73fbf9e029df8f82f94f27071338a1557e9504a0cf69ddd0f58821a021e23d798d66872c54c52c9e850bdfb559c674b9d418de78de60d5 WHIRLPOOL 816e04e67c55c36f1224534a40f5398f7aa32abe8f40d336d5596ccccb260d784de0fa86e8684e7cae3b1c00a0ffffd3067d61294aca44e23bef50ddd7627e41
+DIST gradle-2.6-all.zip 65594074 SHA256 5489234fc9c9733fc4115055618763ccb4d916d667980e6ab4fa57fc81197d16 SHA512 29ec0ba12d5ac0658e7925ad760b25462384d7bfcb249638b42a0ff608b88aa9d7ec04c5e590d4c368c7ed8529b6d6a07dde552c2ae6dda7e33578a16cd4d41b WHIRLPOOL d7f8cdfef17960426685aff149c26151c25d82973b91f3d26ace39f21d030e09460fad3f77fd41c4932c3c5cdce8f9e78e38a30e6b365255c28d4dfb913d9564
diff --git a/dev-java/gradle-bin/gradle-bin-2.6.ebuild b/dev-java/gradle-bin/gradle-bin-2.6.ebuild
new file mode 100644
index 0000000..7b262af
--- /dev/null
+++ b/dev-java/gradle-bin/gradle-bin-2.6.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+inherit java-pkg-2
+
+MY_PN=${PN%%-bin}
+MY_P="${MY_PN}-${PV/_rc/-rc-}"
+
+DESCRIPTION="A project automation and build tool similar to Apache Ant and Apache Maven with a Groovy based DSL"
+SRC_URI="http://services.gradle.org/distributions/${MY_P}-all.zip"
+HOMEPAGE="http://www.gradle.org/"
+LICENSE="Apache-2.0"
+SLOT="${PV}"
+KEYWORDS="~x86 ~amd64"
+
+DEPEND="app-arch/zip
+ app-eselect/eselect-gradle"
+RDEPEND=">=virtual/jdk-1.5"
+
+IUSE="source doc examples"
+
+S="${WORKDIR}/${MY_P}"
+
+src_install() {
+ local gradle_dir="${EROOT}usr/share/${PN}-${SLOT}"
+
+ dodoc changelog.txt getting-started.html
+
+ insinto "${gradle_dir}"
+
+ # source
+ if use source ; then
+ java-pkg_dosrc src/*
+ fi
+
+ # docs
+ if use doc ; then
+ java-pkg_dojavadoc docs
+ fi
+
+ # examples
+ if use examples ; then
+ java-pkg_doexamples samples
+ fi
+
+ # jars in lib/
+ # Note that we can't strip the version from the gradle jars,
+ # because then gradle won't find them.
+ cd lib || die "lib/ not found"
+ for jar in *.jar; do
+ java-pkg_newjar ${jar} ${jar}
+ done
+
+ # plugins in lib/plugins
+ cd plugins
+ java-pkg_jarinto ${JAVA_PKG_JARDEST}/plugins
+ for jar in *.jar; do
+ java-pkg_newjar ${jar} ${jar}
+ done
+
+ java-pkg_dolauncher "${P}" --main org.gradle.launcher.GradleMain --java_args "-Dgradle.home=${gradle_dir}/lib \${GRADLE_OPTS}"
+}
+
+pkg_postinst() {
+ eselect gradle update ifunset
+}
+
+pkg_postrm() {
+ eselect gradle update ifunset
+}
next reply other threads:[~2015-09-13 15:25 UTC|newest]
Thread overview: 67+ messages / expand[flat|nested] mbox.gz Atom feed top
2015-09-13 15:24 Florian Schmaus [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-01-09 7:27 [gentoo-commits] proj/java:master commit in: dev-java/gradle-bin/ Florian Schmaus
2024-06-19 8:18 Florian Schmaus
2024-01-17 13:21 Florian Schmaus
2024-01-07 9:16 Florian Schmaus
2024-01-07 9:16 Florian Schmaus
2021-06-25 10:43 Florian Schmaus
2021-06-25 6:23 Florian Schmaus
2021-06-15 10:56 Florian Schmaus
2021-04-12 12:28 Florian Schmaus
2021-04-12 12:28 Florian Schmaus
2021-03-25 10:43 Florian Schmaus
2021-03-25 10:43 Florian Schmaus
2021-02-09 19:01 Florian Schmaus
2020-12-06 18:14 Florian Schmaus
2020-10-27 9:31 Florian Schmaus
2020-09-20 12:09 Florian Schmaus
2020-09-17 12:27 Florian Schmaus
2020-06-07 19:32 Florian Schmaus
2020-06-07 19:32 Florian Schmaus
2020-05-19 10:37 Florian Schmaus
2020-04-24 8:08 Florian Schmaus
2020-03-09 12:59 Florian Schmaus
2020-03-01 19:27 Florian Schmaus
2020-02-24 12:57 Florian Schmaus
2020-02-23 18:43 Florian Schmaus
2020-02-23 16:27 Florian Schmaus
2020-02-23 16:24 Florian Schmaus
2020-01-07 14:00 Florian Schmaus
2019-09-15 14:37 Florian Schmaus
2019-09-14 14:06 Florian Schmaus
2019-07-17 15:44 Florian Schmaus
2019-05-17 10:37 Florian Schmaus
2019-02-23 23:51 Florian Schmaus
2019-02-04 10:24 Florian Schmaus
2019-01-06 17:46 Florian Schmaus
2019-01-06 17:46 Florian Schmaus
2018-09-29 15:44 Florian Schmaus
2018-08-07 8:04 Florian Schmaus
2018-08-07 7:50 Florian Schmaus
2018-06-20 17:22 Florian Schmaus
2018-05-15 7:48 Florian Schmaus
2018-03-10 10:01 Florian Schmaus
2017-12-27 15:16 Florian Schmaus
2017-11-22 14:43 Florian Schmaus
2017-11-22 14:43 Florian Schmaus
2017-10-15 13:38 Florian Schmaus
2017-07-02 10:19 Florian Schmaus
2017-05-18 13:51 Florian Schmaus
2017-04-25 15:41 Florian Schmaus
2017-04-25 15:41 Florian Schmaus
2017-01-10 15:02 Florian Schmaus
2016-10-05 19:54 James Le Cuirot
2016-08-29 21:54 James Le Cuirot
2016-08-29 21:54 James Le Cuirot
2016-05-17 20:45 James Le Cuirot
2016-04-01 6:20 Florian Schmaus
2016-02-10 9:07 Florian Schmaus
2016-02-08 21:38 Florian Schmaus
2016-01-23 10:43 Florian Schmaus
2015-12-15 10:02 Florian Schmaus
2015-11-15 21:40 Florian Schmaus
2015-10-21 15:49 Florian Schmaus
2015-09-21 19:47 Florian Schmaus
2015-07-11 13:16 Florian Schmaus
2015-04-15 10:00 James Le Cuirot
2015-02-24 16:50 Florian Schmaus
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1441912263.8956cb499c565d1123ee5fc66a37dafcff168eea.flow@gentoo \
--to=flo@freakempire.de \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox